Skip to main content
GET
/
v1
/
cards
/
{card_id}
/
reveal
Reveal card details
curl --request GET \
  --url https://api.platnova.com/v1/cards/{card_id}/reveal \
  --header 'X-API-KEY: <api-key>'
import requests

url = "https://api.platnova.com/v1/cards/{card_id}/reveal"

headers = {"X-API-KEY": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};

fetch('https://api.platnova.com/v1/cards/{card_id}/reveal', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "status": true,
  "data": {
    "number": "4899281234562417",
    "cvv": "567"
  },
  "error": [],
  "message": "operation was successful"
}
{
"status": false,
"data": {},
"error": [],
"message": "card not found"
}

Overview

Retrieve sensitive card details including the full card number and CVV. This endpoint is rate limited for security purposes and should only be called when you need to display card details to the cardholder.

Authorizations

X-API-KEY
string
header
required

API key for authentication.

Path Parameters

card_id
integer
required

unique id of a card

Response

200 - Success

status
boolean
data
object
error
any[]
message
string